Binding car to driver (courier)
Binding car to driver (courier)
Request
PUT
https://fleet-api.taxi.yandex.net/v1/parks/driver-profiles/car-bindings
Query parameters
|
Name |
Description |
|
car_id |
Type: string Vehicle ID Example: |
|
driver_profile_id |
Type: string Driver's profile ID Example: |
|
park_id |
Type: string Partner ID Example: |
Headers
|
Name |
Description |
|
X-API-Key |
Type: string API-key Min length: Example: |
|
X-Client-ID |
Type: string Client ID Min length: Example: |
Responses
200 OK
Request has been successfully processed
Body
application/json
{}
|
Name |
Description |
400 Bad Request
Invalid request parameters
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
401 Unauthorized
Request authorization parameters are missing
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
403 Forbidden
Insufficient rights to execute the request
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
429 Too Many Requests
Limit of requests was exceeded
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
500 Internal Server Error
Internal server error
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |